about summary refs log tree commit diff
path: root/test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2013-09-28 22:24:33 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2013-09-28 22:24:33 +0000
commit2730bca5129bf0304d7860c49925f159e61473da (patch)
treebc10b0b5f2bb1968ea19b0ea912132d96adf6e75 /test
parentee7ca90d04b4427ae7a9c940dbc2243f0746d04d (diff)
downloadnetpbm-mirror-2730bca5129bf0304d7860c49925f159e61473da.tar.gz
netpbm-mirror-2730bca5129bf0304d7860c49925f159e61473da.tar.xz
netpbm-mirror-2730bca5129bf0304d7860c49925f159e61473da.zip
Promote Development to make Release 10.64.00
git-svn-id: http://svn.code.sf.net/p/netpbm/code/advanced@2006 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test')
-rwxr-xr-xtest/Execute-Tests12
-rw-r--r--test/all-in-place.ok2
-rwxr-xr-x[-rw-r--r--]test/gif-quant-roundtrip.test0
-rwxr-xr-x[-rw-r--r--]test/pamchannel.test0
-rwxr-xr-x[-rw-r--r--]test/pgmcrater.test5
-rwxr-xr-x[-rw-r--r--]test/pgmnoise.test4
-rwxr-xr-x[-rw-r--r--]test/ppmforge.test5
-rwxr-xr-xtest/ppmhist.test2
-rwxr-xr-xtest/ppmpat.test5
-rwxr-xr-x[-rw-r--r--]test/ppmrough.test5
-rwxr-xr-x[-rw-r--r--]test/winicon-roundtrip.test0
11 files changed, 18 insertions, 22 deletions
diff --git a/test/Execute-Tests b/test/Execute-Tests
index 39fab58c..047cf4a3 100755
--- a/test/Execute-Tests
+++ b/test/Execute-Tests
@@ -89,7 +89,7 @@ fi
 # For now only "SUCCESS" and "FAILURE" are used.
 declare -a array=(0 0 0 0 0 0)
 declare -a status=("SUCCESS" "FAILURE" "UNEXPECTED SUCCESS"
-                   "EXPECTED FAILURE" "NOT SUPPORTED" "TOTAL SUPPORTED")
+                   "EXPECTED FAILURE" "NOT TESTABLE" "TOTAL TESTABLE")
 
 # Copy test files to the current work directory
 
@@ -132,9 +132,9 @@ case $result in
         then let result=0;  rm  ${t%.test}.out ;
         else let result=1;
      fi
-     let supported=1 ;;
-80) let result=4 ; let supported=0;;
-*)  let result=1 ; let supported=1;;
+     let testable=1 ;;
+80) let result=4 ; let testable=0;;
+*)  let result=1 ; let testable=1;;
 esac
 
 # Report whether a single test succeeded or failed.
@@ -142,7 +142,7 @@ esac
 
 echo $t: ${status[${result}]}; echo
 let array[${result}]=${array[${result}]}+1
-let array[5]=${array[5]}+$supported
+let array[5]=${array[5]}+$testable
 
 done
 
@@ -180,7 +180,7 @@ echo "All tests done."
 date -R -u
 
 
-# Exit with status 0 if all supported tests succeeded, 1 otherwise.
+# Exit with status 0 if all possible tests succeeded, 1 otherwise.
 
 if [[ ${array[0]} -eq ${array[5]} ]]
 then exit 0
diff --git a/test/all-in-place.ok b/test/all-in-place.ok
index 1510f2e7..ca8ad8c3 100644
--- a/test/all-in-place.ok
+++ b/test/all-in-place.ok
@@ -324,13 +324,13 @@ tgatoppm: ok
 thinkjettopbm: ok
 tifftopnm: ok
 wbmptopbm: ok
+winicontopam: ok
 winicontoppm: ok
 xbmtopbm: ok
 ximtoppm: ok
 xpmtoppm: ok
 xvminitoppm: ok
 xwdtopnm: ok
-winicontopam: ok
 ybmtopbm: ok
 yuvsplittoppm: ok
 yuvtoppm: ok
diff --git a/test/gif-quant-roundtrip.test b/test/gif-quant-roundtrip.test
index 5e093b29..5e093b29 100644..100755
--- a/test/gif-quant-roundtrip.test
+++ b/test/gif-quant-roundtrip.test
diff --git a/test/pamchannel.test b/test/pamchannel.test
index f83dd3b6..f83dd3b6 100644..100755
--- a/test/pamchannel.test
+++ b/test/pamchannel.test
diff --git a/test/pgmcrater.test b/test/pgmcrater.test
index e8df9a23..e6942cee 100644..100755
--- a/test/pgmcrater.test
+++ b/test/pgmcrater.test
@@ -1,6 +1,5 @@
 #! /bin/bash
 # This script tests: pgmcrater
-# Also requires: pgmnoise
 
 # This test is sensitive to differences in floating point math.
 # With GCC slight results start to appear with -number 75 in
@@ -14,7 +13,7 @@
 # The slight differences in the image file are not discernable by
 # the naked eye.
 
-${PBM_BINPREFIX}pgmnoise --testrandom --quiet
+testrandom -q
 case $? in
    81)
       # Should print: 3828822912 65551
@@ -25,5 +24,5 @@ case $? in
        echo "Skipping: random number generator is not glibc." 1>&2
        exit 80;;
 
-   *)  exit 1;;  # pgmnoise --testrandom failed
+   *)  exit 1;;  # testrandom failed
 esac
diff --git a/test/pgmnoise.test b/test/pgmnoise.test
index 8ee2fccc..60d06510 100644..100755
--- a/test/pgmnoise.test
+++ b/test/pgmnoise.test
@@ -5,7 +5,7 @@
 # We first check whether random number generator is glibc rand().
 # If not, this test is skipped.
 
-${PBM_TESTPREFIX}pgmnoise --testrandom
+testrandom
 
 case $? in
    81)
@@ -18,5 +18,5 @@ case $? in
         echo "Skipping: random number generator is not glibc." 1>&2
         exit 80;;
 
-   *)   exit 1;;  # pgmnoise --testrandom failed
+   *)   exit 1;;  # testrandom failed
 esac
diff --git a/test/ppmforge.test b/test/ppmforge.test
index 014dc543..5ec37e9c 100644..100755
--- a/test/ppmforge.test
+++ b/test/ppmforge.test
@@ -1,11 +1,10 @@
 #! /bin/bash
 # This script tests: ppmforge
-# Also requires: pgmnoise
 
 # Use small x y values to avoid floating point issues.
 
 
-${PBM_BINPREFIX}pgmnoise --testrandom --quiet
+testrandom -q
 case $? in
    81)
       # Test 1: Should print: 3634219838 196623
@@ -16,5 +15,5 @@ case $? in
        echo "Skipping: random number generator is not glibc." 1>&2
        exit 80;;
 
-   *)  exit 1;;  # pgmnoise --testrandom failed
+   *)  exit 1;;  # testrandom failed
 esac
diff --git a/test/ppmhist.test b/test/ppmhist.test
index 55cbeac9..95fcd2f7 100755
--- a/test/ppmhist.test
+++ b/test/ppmhist.test
@@ -2,6 +2,6 @@
 # This script tests: ppmhist
 # Also requires: pgmramp
 
-${PBM_BINPREFIX}pgmramp -maxval=8 -lr 8 2 | ${PBM_TESTPREFIX}ppmhist
+${PBM_BINPREFIX}pgmramp -maxval=8 -lr 8 2 | ${PBM_TESTPREFIX}ppmhist -sort=rgb
 ${PBM_TESTPREFIX}ppmhist -map -sort=rgb testimg.ppm | cksum
 
diff --git a/test/ppmpat.test b/test/ppmpat.test
index 669cf17c..af0ce956 100755
--- a/test/ppmpat.test
+++ b/test/ppmpat.test
@@ -1,11 +1,10 @@
 #! /bin/bash
 # This script tests: ppmpat
-# Also requires: pgmnoise
 
 # TODO: Write tests for squig and poles.  It appears that they are
 # sensitive to differences in floating point math.
 
-${PBM_BINPREFIX}pgmnoise --testrandom --quiet
+testrandom -q
 case $? in
    81)
        # Test 1. Should print: 4008533639 781
@@ -31,5 +30,5 @@ case $? in
        echo "Skipping: random number generator is not glibc." 1>&2
        exit 80;;
 
-   *)  exit 1;;  # pgmnoise --testrandom failed
+   *)  exit 1;;  # testrandom failed
 esac
diff --git a/test/ppmrough.test b/test/ppmrough.test
index 1de8dd1b..92cc02d7 100644..100755
--- a/test/ppmrough.test
+++ b/test/ppmrough.test
@@ -1,9 +1,8 @@
 #! /bin/bash
 # This script tests: ppmrough
-# Also requires: pgmnoise
 
 
-${PBM_BINPREFIX}pgmnoise --testrandom --quiet
+testrandom -q
 case $? in
    81)
       # Should print: 378403602 30015
@@ -14,5 +13,5 @@ case $? in
        echo "Skipping: random number generator is not glibc." 1>&2
        exit 80;;
 
-   *)  exit 1;;  # pgmnoise --testrandom failed
+   *)  exit 1;;  # testrandom failed
 esac
diff --git a/test/winicon-roundtrip.test b/test/winicon-roundtrip.test
index f5f2926e..f5f2926e 100644..100755
--- a/test/winicon-roundtrip.test
+++ b/test/winicon-roundtrip.test